Skip to main content
GET
/
content
/
search
Search content
curl --request GET \
  --url https://ai.wisepilot.app/api/v1/content/search \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "total": 123,
    "results": [
      {
        "type": "asset",
        "id": "<string>",
        "title": "<string>",
        "subtitle": "<string>",
        "score": 123
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

API key prefixed with cr_ (e.g. cr_a1b2c3...)

Query Parameters

website_id
string<uuid>

Website ID. Auto-resolved if key has single website scope.

query
string
required

Search query (min 1 character)

Minimum string length: 1
limit
integer
default:20

Max results (default 20, max 100)

Required range: x <= 100
entity_types
string

Comma-separated entity types to include

Response

Search results

success
boolean
required
data
object